import express from 'express';
import { AccountBanned } from './endpoints/account-banned.rpc';
import { SessionInvalidated } from './endpoints/account-session-invalidated.rpc';
import { AccountIsIngame } from './endpoints/account-is-ingame.rpc';
import { AccountAckMessage } from './endpoints/account-ack-msg.rpc';
import { AccountAdminNoteRefresh } from './endpoints/account-admin-note-refresh.rpc';
const RpcRouterAccount = express.Router();

RpcRouterAccount.post('/banned', AccountBanned);
RpcRouterAccount.post('/invalidate-session', SessionInvalidated);
RpcRouterAccount.get('/is-ingame/:accountId', AccountIsIngame);
RpcRouterAccount.post('/ack-message', AccountAckMessage);
RpcRouterAccount.post('/admin-note-refresh', AccountAdminNoteRefresh);

export default RpcRouterAccount;
